# $Revision: 1.29 $, $Date: 2010/06/03 11:07:57 $
Summary:	C++ wrappers for libgnomeui
Summary(pl.UTF-8):	Interfejsy C++ dla libgnomeui
Name:		libgnomeuimm
Version:	2.28.0
Release:	2
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libgnomeuimm/2.28/%{name}-%{version}.tar.bz2
# Source0-md5:	6c34dbe07cf9835c36f7d0b7bc38d4fb
URL:		http://www.gnome.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gconfmm-devel >= 2.20.0
BuildRequires:	gnome-vfsmm-devel >= 2.20.0
# "We would need libbonobuimm to support Bonobo::Dock, but it's not worth the bother"
#BuildRequires:	libbonobouimm-devel >= 1.3.6`
BuildRequires:	libglademm-devel >= 2.6.4
BuildRequires:	libgnomecanvasmm-devel >= 2.20.0
BuildRequires:	libgnomemm-devel >= 2.20.0
BuildRequires:	libgnomeui-devel >= 2.19.1
BuildRequires:	libtool >= 2:1.4d
BuildRequires:	pkgconfig
Requires:	libgnomeui >= 2.19.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
C++ wrappers for libgnomeui.

%description -l pl.UTF-8
Interfejsy C++ dla libgnomeui.

%package devel
Summary:	Devel files for libgnomeuimm
Summary(pl.UTF-8):	Pliki nagłówkowe dla libgnomeuimm
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gconfmm-devel >= 2.20.0
Requires:	gnome-vfsmm-devel >= 2.20.0
Requires:	libglademm-devel >= 2.6.4
Requires:	libgnomecanvasmm-devel >= 2.20.0
Requires:	libgnomemm-devel >= 2.20.0
Requires:	libgnomeui-devel >= 2.19.1

%description devel
Devel files for libgnomeuimm.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla libgnomeuimm.

%package static
Summary:	libgnomeuimm static library
Summary(pl.UTF-8):	Biblioteka statyczna libgnomeuimm
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
libgnomeuimm static library.

%description static -l pl.UTF-8
Biblioteka statyczna libgnomeuimm.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I scripts
%{__autoconf}
%{__automake}
%configure \
	--enable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS TODO
%attr(755,root,root) %{_libdir}/libgnomeuimm-2.6.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnomeuimm-2.6.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnomeuimm-2.6.so
%{_libdir}/libgnomeuimm-2.6.la
%{_libdir}/%{name}-2.6
%{_includedir}/%{name}-2.6
%{_pkgconfigdir}/%{name}-2.6.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgnomeuimm-2.6.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgnomeuimm.spec,v $
Revision 1.29  2010/06/03 11:07:57  baggins
- rel 2

Revision 1.28  2010/02/09 20:52:34  sls
- ver. 2.28.0

Revision 1.27  2008/12/02 18:49:46  hawk
- release 3

Revision 1.26  2008/11/16 11:32:26  arekm
- release 2

Revision 1.25  2008/11/07 15:38:13  sls
- ver. 2.24.0

Revision 1.24  2008-04-16 14:01:16  sls
- ver. 2.22.0

Revision 1.23  2008-01-26 16:05:17  qboosh
- ghost soname symlink
- added X11 to Groups
- License is LGPL (v2+)

Revision 1.22  2007-09-14 22:18:45  megabajt
- updated to 2.20.0

Revision 1.21  2007/03/16 13:30:31  megabajt
- updated to 2.18.0

Revision 1.20  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.18  2006/08/18 18:51:57  freetz
- 2.16.0, updated deps

Revision 1.17  2006/05/24 08:55:44  qboosh
- merged deps update from AC-branch

Revision 1.15.2.2  2006/05/18 21:09:26  baggins
- release 2
- strict reqs

Revision 1.15.2.1  2006/05/15 13:20:02  baggins
- merged from HEAD

Revision 1.16  2006/03/16 17:13:09  freetz
- 2.14.0

Revision 1.15  2005/09/09 12:49:36  freetz
- 2.12.0, bumped BRs

Revision 1.14  2005/03/11 21:52:01  grzegol
- updated to 2.10.0

Revision 1.13  2004/09/18 10:15:04  aflinta
- up to version 2.8.0

Revision 1.12  2004/04/19 22:38:00  qboosh
- libtoolize etc. (fixes build on amd64)

Revision 1.11  2004/04/12 22:49:01  grzegol
- merged from DEVEL and updated to 2.6.0

Revision 1.10.2.8  2004/04/09 15:11:27  grzegol
- updated to 2.5.4
- added BR, R: gnome-vfsmm-devel

Revision 1.10.2.7  2004/03/31 18:20:54  grzegol
- updated to 2.5.3

Revision 1.10.2.6  2004/03/15 20:26:21  grzegol
- rel. 3 to rebuild with glibmm-2.3.7/gtkmm-2.3.6

Revision 1.10.2.5  2004/03/04 16:41:22  grzegol
- rel. 2 to rebuil with gtkmm-2.3.5

Revision 1.10.2.4  2004/02/16 14:26:54  grzegol
- updated to 2.5.1
- removed outdated gtkmm233 patch
- updated BRs and Rs

Revision 1.10.2.3  2004/02/07 15:36:21  grzegol
- rel. 3 to rebuild with glibmm-2.3.4/gtkmm-2.3.3/libglademm-2.3.1
- added gtkmm233 patch (fixes building with gtkmm-2.3.3)

Revision 1.10.2.2  2004/01/24 15:30:55  grzegol
- rel. 2 to rebuild with glibmm-2.3.3/gtkmm-2.3.2

Revision 1.10.2.1  2003/12/29 17:56:31  grzegol
- updated to 2.5.0

Revision 1.10  2003/12/04 15:46:50  grzegol
- fixed typo in -static Summary

Revision 1.9  2003/10/12 21:06:52  grzegol
- rel. 2 to rebuild  with libgnomemm-2.0.0

Revision 1.8  2003/10/09 13:56:07  qboosh
- -devel deps, some docs
- removed redundant gtkmm-devel BR and unused libbonobouimm BR
- BR: pkgconfig

Revision 1.7  2003/09/06 10:57:32  aflinta
 - version 2.0.0

Revision 1.6  2003/09/01 23:05:42  grzegol
- rel. 2 to rebuild with libbonobomm-1.3.7

Revision 1.5  2003/08/24 16:36:40  grzegol
- updated to 1.3.17
- added gcc33 patch

Revision 1.4  2003/08/01 11:58:48  grzegol
- rel++ to rebuild without linc
- sorting/cosmetics

Revision 1.3  2003/05/28 12:59:30  malekith
- massive attack: source-md5

Revision 1.2  2003/05/25 05:49:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/04/10 00:48:15  grzegol
- new
